<?php
    $this->PageTitle = 'Questionarios &raquo; Visualizar';

    $this->widget('zii.widgets.CDetailView', array(
    	'data' => $model,
    	'attributes' => array(
    		'QPE_TITULO',
    	),
    ));

    if($model->QuestionarioPerguntasRespostas){

        foreach($model->QuestionarioPerguntasRespostas as $key => $respostas){

            $etapa = $key +1;

            $this->widget('zii.widgets.CDetailView', array(
            'data' => $respostas->QuestionarioRespostas,
            'attributes' => array(
                array(
                    'name' => 'Resposta '.$etapa,
                    'value' => @$respostas->QuestionarioRespostas->QRE_TEXTO,
                ),
                array(
                    'name' => 'Pergunta vinculada a resposta '.$etapa,
                    'value' => @$respostas->QuestionarioRespostas->QRE_IDPERGUNTAVINCULADA,
                ),
            ),
        ));

        }
    }